from codecs import open
from os import path
from setuptools import setup, find_packages
from imagebot import __version__


here = path.abspath(path.dirname(__file__))

# Get the long description from the README file
with open(path.join(here, 'README.rst'), encoding='utf-8') as f:
    long_description = f.read()

install_requires = [
    'Pillow',
    'colorama',
    'docopt'
]


setup(
    name='maisbot',
    version=__version__,
    description='MaisBot',
    long_description=long_description,
    author='Chris Maillefaud',
    # Choose your license
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        'Topic :: Software Development :: Build Tools',
        'Programming Language :: Python :: 3.5'
    ],
    keywords='pillow image editing watermark',
    packages=find_packages(exclude=['contrib', 'docs', 'tests']),
    install_requires=install_requires,
    entry_points={
        'console_scripts': [
            'mais=imagebot.run:start',
            'maisbot=gui.main:start'
        ],
    },
)
